> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate a 3DS auth request

> 
 Simulates a card 3DS auth request.

 This endpoint is for testing purposes only and won't work in production.
    



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json post /cards/simulations/3DSAuthRequest
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards/simulations/3DSAuthRequest:
    post:
      tags:
        - Simulations
      summary: Simulate a 3DS auth request
      description: |2-

         Simulates a card 3DS auth request.

         This endpoint is for testing purposes only and won't work in production.
            
      operationId: simulateCard3dsAuthRequest
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                cardId:
                  description: The ID of the card to work with.
                  type:
                    - string
                  format: uuid
                  maxLength: 36
                  example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                amount:
                  type:
                    - number
                  description: Contains information about how the payment is being made.
                  example: '10'
                currencyCode:
                  type:
                    - number
                  maximum: 999
                  description: >-
                    ISO 4217 three-digit currency code of the payment or
                    purchased gift card.
                  example: 826
                subType:
                  type:
                    - string
                    - 'null'
                  enum:
                    - PURCHASE
                    - ACCOUNT_VERIFICATION
                    - ACCOUNT_FUNDING
                    - QUASI_CASH
                    - PREPAID_ACTIVATION_AND_LOAD
                  description: Identifies the type of transaction being authenticated.
                transactionType:
                  type:
                    - string
                  enum:
                    - PAYMENT
                    - NON_PAYMENT
                  description: >-
                    Identifies the category of the message for a specific use
                    case.
                cardAcceptor:
                  type:
                    - object
                  properties:
                    name:
                      type:
                        - string
                      maxLength: 256
                      example: John Smith
                  required:
                    - name
              required:
                - cardId
                - amount
                - currencyCode
                - cardAcceptor
              example:
                cardId: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                amount: '10'
                currencyCode: 826
                subType: PURCHASE
                transactionType: PAYMENT
                cardAcceptor:
                  name: John Smith
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  success:
                    type:
                      - boolean
                required:
                  - success
                example:
                  success: true
      security:
        - CommonAuth: []
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/cards/simulations/3DSAuthRequest?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "cardId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
              "amount": "10",
              "currencyCode": 826,
              "subType": "PURCHASE",
              "transactionType": "PAYMENT",
              "cardAcceptor": {
                "name": "John Smith"
              }
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````